=== debian/control ===
Source: crystalspace
Section: games
Priority: optional
Maintainer: Christian Bayle <bayle@aist.enst.fr>
Build-Depends: debhelper (>> 3.0.0), python-dev (>= 2.0), nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libttf-dev (>= 1.4pre.20010424-1), libmikmod2-dev, libvorbis-dev, docbook-to-man, xlibmesa-dev, zip, libpng-dev, libjpeg62-dev, svgalibg1-dev [i386], libfreetype6-dev, zlib1g-dev
Standards-Version: 3.5.2

Package: crystalspace
Architecture: any
Depends: ${shlibs:Depends} 
Suggests: crystalspace-demos, crystalspace-doc, crystalspace-dev
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-dev
Section: devel
Architecture: any
Depends: crystalspace (= ${Source-Version}), libc6-dev
Description: Multiplatform 3D Game Development Kit dev files
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-doc
Section: doc
Architecture: all
Description: Multiplatform 3D Game Development Kit Documentation
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-demos
Section: games
Architecture: any
Depends: crystalspace (= ${Source-Version})
Description: Multiplatform 3D Game Development Kit Demos
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
