=== debian/changelog ===
crystalspace (0.98-20040623-2) unstable; urgency=low

  * Corrected make disclean that was making fail most autobuild 

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 23:01:26 +0200

crystalspace (0.98-20040623-1) unstable; urgency=low

  * New Upstream, should close FTBFS or at least change the way it fails,
  for this reason (Closes: bug#254684)(Closes: bug#255614)
  * Changed dependancy taking in account "res" comments
  * Added -fPIC for amd64 (Closes: bug#254680)
  * Removed (At least I tried) -I/usr/local/include (Closes: bug#216805)

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 01:09:34 +0200

crystalspace (0.96-20030912-7) unstable; urgency=low

  * Removed support of libode an lib3ds for s390 

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 23:41:20 +0200

crystalspace (0.96-20030912-6) unstable; urgency=low

  * Removed swigpygen
  * Build internal libs with -fPIC on ia64

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 17:57:24 +0200

crystalspace (0.96-20030912-5) unstable; urgency=low

  * Removed support for lib3ds for ia64 since there is no dynamic
    version of lib3ds that makes fail build on ia64 since a static
    lib compiled without -fPIC can't be linked in a dynamic lib
    compiled with -fPIC (Closes: bug#216275)
  * Removed python plugin support for s390 and powerpc because of
    broken swig or g++

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 21:51:55 +0200

crystalspace (0.96-20030912-4) unstable; urgency=low

  * Insert dh_buildinfo to get info at autobuid as
  adviced by Yann Dirson http://ydirson.free.fr/en/software/buildinfo.html

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 15:10:18 +0200

crystalspace (0.96-20030912-3) unstable; urgency=low

  * Move the place where swipythgen is done
  * Now depends on swig1.3 instead of swig

 -- Christian Bayle <bayle@debian.org>  Thu, 16 Oct 2003 20:08:39 +0200

crystalspace (0.96-20030912-2) unstable; urgency=low

  * Added a dependancy on swig and make swigpygen 
  * Corrected a typo not to build lib3ds stuffs on hppa
  * Removed blocks from menu (this is not part of CS cvs now)

 -- Christian Bayle <bayle@debian.org>  Wed, 15 Oct 2003 21:11:16 +0200

crystalspace (0.96-20030912-1) unstable; urgency=low

  * Go to a new cvs snapshot, compatible with VOS packaging
  * CS is under heavy developpment and it's difficult to get a version
  available for all software using it, last release is rather old now
  I will try to find good snapshot date to get Planeshift work with
  this CS version.

 -- Christian Bayle <bayle@debian.org>  Tue, 14 Oct 2003 23:27:04 +0200

crystalspace (0.96-20030714-2) unstable; urgency=low

  * Stupid error in configure options 

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 21:02:15 +0200

crystalspace (0.96-20030714-1) unstable; urgency=low

  * New build from fresh cvs

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 21:48:09 +0200

crystalspace (0.96-20030609-5) unstable; urgency=low

  * Removed support for lib3ds and libode on hppa and alpha
  This always to try to (Closes: bug#198921)

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 03:53:01 +0200

crystalspace (0.96-20030609-4) unstable; urgency=low

  * Readd 3ds support, since I NMUed lib3ds to compile with -fPIC on hppa
  and alpha, hope this will (Closes: bug#198921)
  * Don't try to rmdir a symlink (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 18:13:05 +0200

crystalspace (0.96-20030609-3) unstable; urgency=low

  * Added a symlink test before rmdir (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 23:22:02 +0200

crystalspace (0.96-20030609-2) unstable; urgency=low

  * Remove 3ds support that make hppa FTBS should (Closes: bug#188916)
  * Correct an error when try to move a non existant file (Closes: bug#197570)

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2003 21:52:56 +0200

crystalspace (0.96-20030609-1) unstable; urgency=low

  * Try to compile all with -fPIC for hppa should (Closes: bug#188916)

 -- Christian Bayle <bayle@debian.org>  Mon,  9 Jun 2003 14:32:27 +0200

crystalspace (0.96-20030205-5) unstable; urgency=low

  * Recompile against libvorbis0a (Closes: bug#185600)
  * Compile static libs without -fPIC (Closes: bug#183778)

 -- Christian Bayle <bayle@debian.org>  Fri, 28 Mar 2003 17:06:30 +0100

crystalspace (0.96-20030205-4) unstable; urgency=low

  * Hope to fix the remaining mixture of PIC and non PIC for build on hppa 

 -- Christian Bayle <bayle@debian.org>  Thu, 27 Feb 2003 21:46:28 +0100

crystalspace (0.96-20030205-3) unstable; urgency=low

  * CFLAGS += -fsigned-char for build failure on arm (Closes: bug#181222)
  Thanks to Julien Moine (speedblue@debian.org)
  * Compile even static lib with -fPIC to solve other build failure
  until upstream support for dynamic libs should (Closes: bug#182253)

 -- Christian Bayle <bayle@debian.org>  Wed, 26 Feb 2003 23:22:33 +0100

crystalspace (0.96-20030205-2) unstable; urgency=low

  * New upstream version from R0_96 branch (Closes: bug#180419)
  * -fno-rtti and -fno-exceptions removed from cs-config (Closes: bug#147818)
  * Fails to build on hppa made obsolete by new upstream (Closes: bug#146076)
  will have to be reopen with more info if this fails again
  * Isomap re-added (Closes: bug#178464)
  * Added new targets in rules, not completly satisfying, should be better in
  next upstream (Closes: bug#179528)
  * Moved config files in /etc and added proper symlink
  * Added a build dependancy on libode-dev
  * Now build static lib without -fPIC to respect policy

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2003 21:10:42 +0100

crystalspace (0.94-20020502-4) unstable; urgency=low

  * Integrate NMU changes upstream (Next time please, when you NMU
    send a patch, thanks)
  * Failed to build from source patch (Closes: bug#174969)
  * Renaming zoo in cszoo for name conflic with /usr/bin/zoo

