=== debian/control ===
Source: crystalspace
Section: games
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper (>= 4.0), python2.3-dev | python2.2-dev | python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev
Build-Depends-Indep: debhelper (>= 4.0)
Standards-Version: 3.6.1.0

Package: crystalspace
Architecture: any
Depends: ${shlibs:Depends}, python 
Suggests: crystalspace-doc, crystalspace-dev
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 It is divided in a main package containing engine, a dev package
 containing dev related utilities, a doc package containing extended html
 documentation.

Package: crystalspace-dev
Section: devel
Architecture: any
Depends: crystalspace (= ${Source-Version}), libc6-dev
Description: Multiplatform 3D Game Development Kit dev files
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 This dev part contains dev utilities, like tools to create levels, and
 a config utility.

Package: crystalspace-doc
Section: doc
Architecture: all
Description: Multiplatform 3D Game Development Kit Documentation
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 This doc part contains an extended html documentation, describing the engine, 
 api documentation, and a dev tutorial.
