## crystalspace 0.98-20040623-2.1ubuntu1

=== debian/changelog ===
crystalspace (0.98-20040623-2.1ubuntu1) hoary; urgency=low

  * Fix bug in python module (Ubuntu #5512).
  * Build with python2.4, adjust build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  7 Feb 2005 14:52:24 +0100

crystalspace (0.98-20040623-2.1) unstable; urgency=high

  * NMU
  * Urgency high because of RC bugfix
  * Added autoconf to Build-Depends so the _modified_ configure.ac is actually
    compiled, to get proper paths for the Python files (Closes: bug#266287)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed,  8 Sep 2004 12:39:48 +0100
