=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Christian Bayle <bayle@debian.org>
-Build-Depends: debhelper (>= 4.0), python2.3-dev | python2.2-dev | python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev
+Build-Depends: debhelper (>= 4.2.18), python2.4-dev, python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev, autoconf
 Build-Depends-Indep: debhelper (>= 4.0)
 Standards-Version: 3.6.1.0
